## org.eclipse.datatools.modelbase.sql.query
Interface WithTableSpecification

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface WithTableSpecification

extends SQLQueryObject

A representation of the model object 'With Table Specification'.

The following features are supported:

- `Query Expression Root`
- `With Table Query Expr`
- `With Table References`
- `Column Name List`

See Also:
  `SQLQueryModelPackage.getWithTableSpecification()`

Method Summary
`org.eclipse.emf.common.util.EList` `getColumnNameList()` Returns the value of the 'Column Name List' containment reference list.
`QueryExpressionRoot` `getQueryExpressionRoot()` Returns the value of the 'Query Expression Root' container reference.
`QueryExpressionBody` `getWithTableQueryExpr()` Returns the value of the 'With Table Query Expr' containment reference.
`org.eclipse.emf.common.util.EList` `getWithTableReferences()` Returns the value of the 'With Table References' reference list.
`void` `setQueryExpressionRoot(QueryExpressionRoot value)` Sets the value of the '`Query Expression Root`' container reference.
`void` `setWithTableQueryExpr(QueryExpressionBody value)` Sets the value of the '`With Table Query Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQueryExpressionRoot

    QueryExpressionRoot getQueryExpressionRoot()

  Returns the value of the 'Query Expression Root' container reference. It is bidirectional and its opposite is '`With Clause`'.

  If the meaning of the 'Query Expression Root' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Expression Root' container reference.
  See Also:
    `setQueryExpressionRoot(QueryExpressionRoot)`, `SQLQueryModelPackage.getWithTableSpecification_QueryExpressionRoot()`, `QueryExpressionRoot.getWithClause()`

### setQueryExpressionRoot

    void setQueryExpressionRoot(QueryExpressionRoot value)

  Sets the value of the '`Query Expression Root`' container reference.

  Parameters:
    `value` - the new value of the 'Query Expression Root' container reference.
  See Also:
    `getQueryExpressionRoot()`

### getWithTableQueryExpr

    QueryExpressionBody getWithTableQueryExpr()

  Returns the value of the 'With Table Query Expr' containment reference. It is bidirectional and its opposite is '`With Table Specification`'.

  If the meaning of the 'With Table Query Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Table Query Expr' containment reference.
  See Also:
    `setWithTableQueryExpr(QueryExpressionBody)`, `SQLQueryModelPackage.getWithTableSpecification_WithTableQueryExpr()`, `QueryExpressionBody.getWithTableSpecification()`

### setWithTableQueryExpr

    void setWithTableQueryExpr(QueryExpressionBody value)

  Sets the value of the '`With Table Query Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'With Table Query Expr' containment reference.
  See Also:
    `getWithTableQueryExpr()`

### getWithTableReferences

    org.eclipse.emf.common.util.EList getWithTableReferences()

  Returns the value of the 'With Table References' reference list. The list contents are of type `WithTableReference`. It is bidirectional and its opposite is '`With Table Specification`'.

  If the meaning of the 'With Table References' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Table References' reference list.
  See Also:
    `SQLQueryModelPackage.getWithTableSpecification_WithTableReferences()`, `WithTableReference.getWithTableSpecification()`

### getColumnNameList

    org.eclipse.emf.common.util.EList getColumnNameList()

  Returns the value of the 'Column Name List' containment reference list. The list contents are of type `ColumnName`. It is bidirectional and its opposite is '`With Table Specification`'.

  If the meaning of the 'Column Name List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Name List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getWithTableSpecification_ColumnNameList()`, `ColumnName.getWithTableSpecification()`